## libonig 6.1.2

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)
# required for exports? cmake_minimum_required (VERSION 2.8.6)
project(oniguruma C)

set(PACKAGE onig)
set(PACKAGE_VERSION "6.1.2")

set(USE_COMBINATION_EXPLOSION_CHECK 0)
set(USE_CRNL_AS_LINE_TERMINATOR 0)
set(VERSION ${PACKAGE_VERSION})

if(MSVC)
  # Force to always compile with W4
  if(CMAKE_CXX_FLAGS MATCHES "/W[0-4]")
    string(REGEX REPLACE "/W[0-4]" "/W4" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
  else()
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4")
  endif()
elseif(CMAKE_COMPILER_IS_GNUCXX)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
elseif(CMAKE_COMPILER_IS_GNUCC)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
endif()


include(cmake/dist.cmake)
include(CheckCSourceCompiles)
include(CheckIncludeFiles)
include(CheckFunctionExists)
include(CheckSymbolExists)
include(CheckTypeSize)
include(TestBigEndian)

check_function_exists(alloca HAVE_ALLOCA)
check_include_files(alloca.h HAVE_ALLOCA_H)
set(HAVE_PROTOTYPES 1)
check_include_files(stdarg.h    HAVE_STDARG_PROTOTYPES)
check_include_files(stdint.h    HAVE_STDINT_H)
check_include_files(stdlib.h    HAVE_STDLIB_H)
check_include_files(strings.h   HAVE_STRINGS_H)
check_include_files(string.h    HAVE_STRING_H)
check_include_files(sys/times.h HAVE_SYS_TIMES_H)
check_include_files(sys/time.h  HAVE_SYS_TIME_H)
check_include_files(sys/types.h HAVE_SYS_TYPES_H)
check_include_files(unistd.h    HAVE_UNISTD_H)
check_type_size(int SIZEOF_INT)
check_type_size(long SIZEOF_LONG)
check_type_size(short SIZEOF_SHORT)
check_include_files("stdlib.h;stdarg.h;string.h;float.h" STDC_HEADERS)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/config.h.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/oniguruma.pc.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/oniguruma.pc @ONLY)


include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

set(_SRCS src/regint.h src/regparse.h src/regenc.h src/st.h
 src/regerror.c src/regparse.c src/regext.c src/regcomp.c src/regexec.c
 src/reggnu.c src/regenc.c src/regsyntax.c src/regtrav.c src/regversion.c
 src/st.c src/regposix.c src/regposerr.c src/onig_init.c
 src/unicode.c src/ascii.c src/utf8.c src/utf16_be.c src/utf16_le.c
 src/utf32_be.c src/utf32_le.c src/euc_jp.c src/sjis.c src/iso8859_1.c
 src/iso8859_2.c src/iso8859_3.c src/iso8859_4.c src/iso8859_5.c
 src/iso8859_6.c src/iso8859_7.c src/iso8859_8.c src/iso8859_9.c
 src/iso8859_10.c src/iso8859_11.c src/iso8859_13.c src/iso8859_14.c
 src/iso8859_15.c src/iso8859_16.c src/euc_tw.c src/euc_kr.c src/big5.c
 src/gb18030.c src/koi8_r.c src/cp1251.c
 src/euc_jp_prop.c src/sjis_prop.c
 src/unicode_unfold_key.c
 src/unicode_fold1_key.c src/unicode_fold2_key.c src/unicode_fold3_key.c)


add_library(onig ${_SRCS})

install_library(onig)

install_header(src/oniguruma.h src/onigposix.h src/oniggnu.h)

install_doc(doc/API doc/API.ja doc/RE doc/RE.ja doc/UNICODE_PROPERTIES)
install_data(AUTHORS COPYING HISTORY README)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/oniguruma.pc
  DESTINATION lib/pkgconfig)

## libonig 5.9.1

=== debian/changelog ===
libonig (5.9.1-1+deb7u1) wheezy-security; urgency=high

  * New debian/patches/0500-CVE-2017-922[4-9].patch:
    - Cherrypicked from upstream to correct:
      + CVE-2017-9224 (Closes: #863312)
      + CVE-2017-9226 (Closes: #863314)
      + CVE-2017-9227 (Closes: #863315)
      + CVE-2017-9228 (Closes: #863316)
      + CVE-2017-9229 (Closes: #863318)
  * debian/control:
    - Add myself as maintainer.
  * Add missing debian/source/format.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Fri, 26 May 2017 08:27:02 +0200

libonig (5.9.1-1) unstable; urgency=low

  [ Max Kellermann ]
  * new upstream release
  * acknowledge NMU, thanks Laurent (closes: #426355)
  * run test suite after build
  * added watch file
  * bumped Standards-Version to 3.7.3
  * added homepage header to debian/control
  * priority "extra"

 -- Alexander Wirt <formorer@debian.org>  Mon, 07 Jan 2008 11:46:27 +0100

libonig (5.9.0-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release (Closes: #426355)
  * debian/control:
    - Use binary:Version instead of Source-Version
  * debian/rules:
    - Don't hide make distclean error
    - Fix copy of config.{sub,guess}
    - Remove deprecated DH_COMPAT and use compat file instead

 -- Laurent Bigonville <bigon@bigon.be>  Sat, 04 Aug 2007 15:07:34 +0200

libonig (5.5.2-1) unstable; urgency=low

  * new upstream release

 -- Max Kellermann <max@duempel.org>  Wed, 14 Feb 2007 23:12:29 +0100

libonig (5.5.0-1) unstable; urgency=low

  [ Max Kellermann ]
  * new upstream release
  * update config.{sub,guess} in debian/rules
  * removed libonig.la

 -- Alexander Wirt <formorer@debian.org>  Wed,  6 Dec 2006 20:51:10 +0100

libonig (5.2.0-1) unstable; urgency=low

  * new upstream release
  * updated copyright file since license has been changed to BSD

 -- Max Kellermann <max@duempel.org>  Wed, 15 Nov 2006 09:32:24 +0100

libonig (4.4.4-1) unstable; urgency=low

  * initial debian release (Closes: #388412)

 -- Max Kellermann <max@duempel.org>  Wed, 20 Sep 2006 12:17:40 +0200

=== debian/control ===
Source: libonig
Section: libs
Priority: extra
Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
Homepage: http://www.geocities.jp/kosako3/oniguruma/
Build-Depends: debhelper (>= 5), autotools-dev
Standards-Version: 3.7.3

Package: libonig2
Architecture: any
Depends: ${shlibs:Depends}
Description: Oniguruma regular expressions library
 The characteristics of this library is that different character
 encoding for every regular expression object can be specified.

Package: libonig2-dbg
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, libonig2 (= ${binary:Version})
Description: Debugging symbols for libonig2
 The characteristics of this library is that different character
 encoding for every regular expression object can be specified.
 .
 This package provides the debugging symbols.

Package: libonig-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, libonig2 (= ${binary:Version})
Description: Development files for libonig2
 The characteristics of this library is that different character
 encoding for every regular expression object can be specified.
 .
 This package provides development files and static libraries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O0
else
  CFLAGS += -O2 -fno-strict-aliasing
endif

configure: debian/stamp-configure
debian/stamp-configure:
	dh_testdir

	# update libonig's autotools files
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif

	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--disable-dependency-tracking \
		--without-rubydir \
		--prefix=/usr

	@touch $@

build: debian/stamp-build
debian/stamp-build: debian/stamp-configure
	dh_testdir

	$(MAKE)

	@touch $@

check: debian/stamp-check
debian/stamp-check: debian/stamp-build
	dh_testdir

	$(MAKE) check

	@touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f debian/stamp-*

	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean

install: debian/stamp-install
debian/stamp-install: debian/stamp-build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) DESTDIR=`pwd`/debian/tmp install

	@touch $@

# Build architecture-independent files here.
binary-indep: build check install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i -A AUTHORS TODO README NEWS
	dh_installchangelogs -i debian/no-upstream-changelog
	dh_install -i --sourcedir=debian/tmp
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build check install
	dh_testdir -a
	dh_testroot -a
	dh_installexamples -plibonig-dev
	dh_installdocs -plibonig-dev
	dh_installdocs -plibonig2 -A AUTHORS README README.ja
	ln -sf libonig2 debian/libonig2-dbg/usr/share/doc/libonig2-dbg
	dh_installman -plibonig-dev -A debian/onig-config.1
	dh_installchangelogs -plibonig2 HISTORY
	dh_installchangelogs -plibonig-dev HISTORY
	dh_install -a --sourcedir=debian/tmp
	dh_link -a
	dh_strip -a --dbg-package=libonig2-dbg
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a -V 'libonig2 (>= 5.2.0)'
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: configure build check clean binary-indep binary-arch binary install

## libonig 5.9.5

=== debian/changelog ===
libonig (5.9.5-3.2+deb8u4) jessie-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * CVE-2019-19012: an integer overflow in the search_in_range
    function in regexec.c leads to an out-of-bounds read, in which the
    offset of this read is under the control of an attacker. (This
    only affects the 32-bit compiled version). Remote attackers can
    cause a denial-of-service or information disclosure, or possibly
    have unspecified other impact, via a crafted regular expression.
  * CVE-2019-19204: in the function fetch_range_quantifier in
    regparse.c, PFETCH is called without checking PEND. This leads to
    a heap-based buffer over-read
  * CVE-2019-19246: heap-based buffer over-read in
    str_lower_case_match in regexec.c.

 -- Sylvain Beucler <beuc@debian.org>  Tue, 03 Dec 2019 18:38:09 +0100

libonig (5.9.5-3.2+deb8u3) jessie-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Backport recursion monitoring (with a fixed limit to avoid
    changing the API; higher limit exhausts the default stack size)
  * Fix CVE-2019-16163: Oniguruma before 6.9.3 allows Stack Exhaustion
    in regcomp.c because of recursion in regparse.c.

 -- Sylvain Beucler <beuc@debian.org>  Wed, 11 Sep 2019 15:30:09 +0200

libonig (5.9.5-3.2+deb8u2) jessie-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2019-13224:
    A use-after-free in onig_new_deluxe() in regext.c allows
    attackers to potentially cause information disclosure, denial of service,
    or possibly code execution by providing a crafted regular expression. The
    attacker provides a pair of a regex pattern and a string, with a multi-byte
    encoding that gets handled by onig_new_deluxe().

 -- Markus Koschany <apo@debian.org>  Wed, 17 Jul 2019 14:56:48 +0200

libonig (5.9.5-3.2+deb8u1) jessie; urgency=medium

  * New debian/patches/0500-CVE-2017-922[4-9].patch:
    - Cherrypicked from upstream to correct:
      + CVE-2017-9224 (Closes: #863312)
      + CVE-2017-9226 (Closes: #863314)
      + CVE-2017-9227 (Closes: #863315)
      + CVE-2017-9228 (Closes: #863316)
      + CVE-2017-9229 (Closes: #863318)

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 02 Jul 2017 14:28:34 +0200

libonig (5.9.5-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix version for calls to dpkg-maintscript-helper symlink_to_dir.
    (closes: #769556).

 -- Ivo De Decker <ivodd@debian.org>  Sun, 28 Dec 2014 12:11:12 +0100

libonig (5.9.5-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * Add missing pre-dependency on dpkg for dpkg-maintscript-helper
    symlink_to_dir (closes: #769556).

 -- Julien Cristau <jcristau@debian.org>  Sat, 15 Nov 2014 11:53:45 +0100

libonig (5.9.5-3) unstable; urgency=medium

  * Add debian/libonig2-dbg.(preinst|postinst|postrm) to prevent
    error on upgrade wheezy to jessie. (Closes: #768267)

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Thu, 06 Nov 2014 21:32:20 +0100

libonig (5.9.5-2) unstable; urgency=medium

  * rename debian/*.doc-base
  * add html files to doc
  * change debian/rules for hardening
  * remove Multi-Arch from libonig-dev (Closes: #747897)

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Tue, 13 May 2014 10:25:38 +0200

libonig (5.9.5-1) unstable; urgency=medium

  * remove *.so.* files from libonig2-dbg
    (same files as in libonig2)
  * add debian/libonig-dev.doc-base
  * add debian/symbols
  * rewrite debian/copyright
  * rewrite debian/rules (Closes: #645940)
  * patch buildsystem (Closes: #734683)
  * change lib version to 2.1.0
  * Bump compat to 9
  * Update to upstream version 5.9.5 (Closes: #661616)
  * Bump Standarts to 3.9.5
  * New Maintainer (Closes: #747187)

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 07 May 2014 16:39:54 +0200

=== debian/control ===
Source: libonig
Section: libs
Priority: extra
Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
Homepage: http://www.geocities.jp/kosako3/oniguruma/
Build-Depends: 
 debhelper (>= 9), 
 dh-autoreconf,
 hardening-wrapper
Standards-Version: 3.9.5

Package: libonig2
Priority: optional
Architecture: any
Multi-Arch: same
Depends: 
 ${misc:Depends}, 
 ${shlibs:Depends}
Pre-Depends:
 ${misc:Pre-Depends}
Description: Oniguruma regular expressions library
 The characteristics of this library is that different
 character encoding for every regular expression object 
 can be specified.

Package: libonig2-dbg
Section: debug
Architecture: any
Multi-Arch: same
Pre-Depends:
 dpkg (>= 1.17.5),
Depends: 
 ${misc:Depends}, 
 ${shlibs:Depends}, 
 libonig2 (= ${binary:Version})
Description: Debugging symbols for libonig2
 The characteristics of this library is that different 
 character encoding for every regular expression object 
 can be specified.
 .
 This package provides the debugging symbols.

Package: libonig-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: 
 ${misc:Depends}, 
 ${shlibs:Depends}, 
 libonig2 (= ${binary:Version})
Description: Development files for libonig2
 The characteristics of this library is that different 
 character encoding for every regular expression object 
 can be specified.
 .
 This package provides development files and static libraries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf

override_dh_installman:
	dh_installman -plibonig-dev -A debian/onig-config.1

override_dh_strip:
	set -e; \
	for pkg in $(patsubst %-dbg,%,$(filter %-dbg,$(shell dh_listpackages))); do \
		dh_strip -p$${pkg} --dbg-package=$${pkg}-dbg; \
	done
	dh_strip -s --remaining-packages

override_dh_install:
	dh_install --fail-missing -X.la -X.a

## libonig 5.9.6

=== debian/changelog ===
libonig (5.9.6-1ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Fix multiple invalid pointer dereference,
    out-of-bounds write memory corruption and stack buffer overflow.
    - debian/patches/CVE-2017-9224-and-CVE-2017-9226-to-9229.patch:
      fixes in regexec.c and regparse.c
    - CVE-2017-9224
    - CVE-2017-9226
    - CVE-2017-9227
    - CVE-2017-9228
    - CVE-2017-9229

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Fri, 27 Jul 2018 15:06:20 -0300

libonig (5.9.6-1) unstable; urgency=medium

  * New upstream release.
  * Refresh debian/patches/001-changes_build_sys.diff.
  * Refresh debian/symbols.
  * debian/rules:
    - rewrite override_dh_strip.
    - Add dpkg-gensymbols to generate symbol file(s) 
      on every build.
  * debian/copyright:
    Add year 2015 to my entry at debian/*.
  * debian/control:
    - Remove useless Depends ${shlibs:Depends} from libonig2-dbg
      and libonig-dev
    - Add dpkg and ${misc:Pre-Depends} to Depends of libonig2-dbg 
      to prevent error on upgrade wheezy to jessie (Closes: #769556).
    - Bump Standards-Version to 3.9.6 (no changes required).
    - Add Vcs-* fields pointed to alioth.
    - Remove deprecated hardening-wrapper from Build-Depends
      (Closes: #774485).
    - Rewrite Descriptions (Closes: #774520).
  * debian/*.postrm, debian/*.postinst, debian/*.preinst:
    - Delete them and move the dpkg-maintscript-helper to
      debian/libonig2-dbg.maintscript.
  * New debian/libonig2-dbg.maintscript:
    - Add symlink_to_dir calls.
    - Change version in calls of symlink_to_dir to 5.9.6-1~.
  * Add Vcs
  * Add missing MNU changelog entries. Both don't provide a patch with
    the changes and the first one causes a new RC-Bug.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 05 Jan 2015 10:49:52 +0100

=== debian/control ===
Source: libonig
Section: libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
Build-Depends: 
 debhelper (>= 9),
 dh-autoreconf
Standards-Version: 3.9.6
Homepage: http://www.geocities.jp/kosako3/oniguruma/
Vcs-Git: git://anonscm.debian.org/collab-maint/libonig.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/libonig.git

Package: libonig2
Priority: optional
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Pre-Depends:
 ${misc:Pre-Depends}
Description: regular expressions library
 Oniguruma is a library for working with regular expressions.
 .
 Different character encoding for every regular expression object can
 be specified.

Package: libonig2-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libonig2 (= ${binary:Version})
Pre-Depends:
 ${misc:Pre-Depends},
 dpkg
Description: regular expressions library — debugging symbols
 Oniguruma is a library for working with regular expressions.
 .
 Different character encoding for every regular expression object can
 be specified.
 .
 This package provides the debugging symbols.

Package: libonig-dev
Section: libdevel
Priority: optional
Architecture: any
Depends:
 ${misc:Depends},
 libonig2 (= ${binary:Version})
Description: regular expressions library — development files
 Oniguruma is a library for working with regular expressions.
 .
 Different character encoding for every regular expression object can
 be specified.
 .
 This package provides development files and static libraries.

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,8 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+VERSION = $(shell head -n1 debian/changelog | sed -e 's/.*(//;s/-.*).*//;s/\+/\-/')
+
 %:
 	dh $@ --with autoreconf
 
@@ -18,12 +20,12 @@
 	dh_installman -plibonig-dev -A debian/onig-config.1
 
 override_dh_strip:
-	set -e; \
-	for pkg in $(patsubst %-dbg,%,$(filter %-dbg,$(shell dh_listpackages))); do \
-		dh_strip -p$${pkg} --dbg-package=$${pkg}-dbg; \
-	done
-	dh_strip -s --remaining-packages
+	dh_strip --dbg-package=libonig2-dbg
 
 override_dh_install:
 	dh_install --fail-missing -X.la -X.a
 
+override_dh_makeshlibs:
+	dh_makeshlibs
+	dpkg-gensymbols -v$(VERSION) -plibonig2
+

=== debian/watch ===
version=3

http://www.geocities.jp/kosako3/oniguruma/ \
 archive/onig-(\S+)\.tar\.gz

## libonig 6.1.3

=== debian/changelog ===
libonig (6.1.3-2) unstable; urgency=high

  * New debian/patches/0500-CVE-2017-922[4-9].patch:
    - Cherrypicked from upstream to correct:
      + CVE-2017-9224 (Closes: #863312)
      + CVE-2017-9225 (Closes: #863313)
      + CVE-2017-9226 (Closes: #863314)
      + CVE-2017-9227 (Closes: #863315)
      + CVE-2017-9228 (Closes: #863316)
      + CVE-2017-9229 (Closes: #863318)

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sat, 27 May 2017 12:05:50 +0200

libonig (6.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Thu, 15 Dec 2016 09:23:30 +0100

libonig (6.1.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump debhelper B-D minimum version to 10.
  * New debian/patches/0100-source_typos.patch.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 09 Nov 2016 23:16:44 +0100

libonig (6.1.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 04 Sep 2016 21:26:20 +0200

libonig (6.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sat, 03 Sep 2016 02:42:58 +0200

libonig (6.1.0-1) experimental; urgency=medium

  * New upstream release.
    - NEW API: onig_scan().
  * debian/control:
    - To match with the soname rename packages from liboing3 to libonig4.
  * debian/rules:
    - Rename liboing3 to libonig4.
  * Renew debian/symbols.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 31 Aug 2016 04:18:16 +0200

libonig (6.0.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/control:
    - Remove dpkg from libonig2-dbg Pre-Depends because redundance
      with ${misc:Pre-Depends}.
    - Replace homepage to the new loacation.
    - To match with the soname rename packages from liboing2 to libonig3.
    - Bump Standards-Version to 3.9.8 (no changes required).
    - Change Vcs-* to secure URIs.
  * debian/rules:
    - Rename liboing2 to libonig3.
  * debian/watch:
    - Move to github.
    - Bump version to 4 (no changes required).
  * debian/copyright:
    - Replace homepage and upstream mail address.
    - Add year 2016.
  * Remove the not Multi-Arch conform file /usr/bin/onig-config and
    the man page.
  * Remove now useless debian/libonig3-dbg.maintscript.
  * Set compat level to 10.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sat, 14 May 2016 17:53:39 +0200

=== debian/control ===
Source: libonig
Section: libs
Priority: extra
Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
Build-Depends:
 debhelper (>= 10),
 dh-autoreconf
Standards-Version: 3.9.8
Homepage: https://github.com/kkos/oniguruma
Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/libonig.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libonig.git

Package: libonig4
Priority: optional
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Pre-Depends:
 ${misc:Pre-Depends}
Description: regular expressions library
 Oniguruma is a library for working with regular expressions.
 .
 Different character encoding for every regular expression object can
 be specified.

Package: libonig4-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libonig4 (= ${binary:Version})
Pre-Depends:
 ${misc:Pre-Depends}
Description: regular expressions library — debugging symbols
 Oniguruma is a library for working with regular expressions.
 .
 Different character encoding for every regular expression object can
 be specified.
 .
 This package provides the debugging symbols.

Package: libonig-dev
Section: libdevel
Priority: optional
Architecture: any
Depends:
 ${misc:Depends},
 libonig4 (= ${binary:Version})
Description: regular expressions library — development files
 Oniguruma is a library for working with regular expressions.
 .
 Different character encoding for every regular expression object can
 be specified.
 .
 This package provides development files and static libraries.

## libonig 6.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 project(oniguruma C)
 
 set(PACKAGE onig)
-set(PACKAGE_VERSION "6.1.2")
+set(PACKAGE_VERSION "6.5.0")
 
 set(USE_COMBINATION_EXPLOSION_CHECK 0)
 set(USE_CRNL_AS_LINE_TERMINATOR 0)
@@ -44,6 +44,7 @@
 check_include_files(sys/time.h  HAVE_SYS_TIME_H)
 check_include_files(sys/types.h HAVE_SYS_TYPES_H)
 check_include_files(unistd.h    HAVE_UNISTD_H)
+check_include_files(inttypes.h  HAVE_INTTYPES_H)
 check_type_size(int SIZEOF_INT)
 check_type_size(long SIZEOF_LONG)
 check_type_size(short SIZEOF_SHORT)

=== debian/changelog ===
libonig (6.5.0-1) unstable; urgency=medium

  * New upstream release.
    + Refresh symbols file.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 06 Aug 2017 19:31:50 +0200

libonig (6.4.0-1) unstable; urgency=medium

  * New upstream release.
    + Refresh symbols file.
  * Remove not longer needed patches.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 23 Jul 2017 11:51:31 +0200

libonig (6.3.0-1) unstable; urgency=medium

  * New upstream release.
    - Update symbols file.
    - Refresh patches.
  * Drop dh-autoreconf from both build-depends and dh --with arguments.
    because this is all defaults when using dh compat 10.
  * debian/copyright: Add year 2017.
  * Remove upstream applied debian/patches/0500-CVE-2017-922[4-9].patch.
  * Use the automatic debug symbol packages:
    - Remove libonig4-dbg section from debian/control.
    - Remove override_dh_strip from debian/rules.
  * New README.source to explain the branching model used.
  * Declare compliance with Debian Policy 4.0.0. (No changes needed).

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 25 Jun 2017 09:55:31 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Priority: extra
 Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
 Build-Depends:
- debhelper (>= 10),
- dh-autoreconf
-Standards-Version: 3.9.8
+ debhelper (>= 10)
+Standards-Version: 4.0.0
 Homepage: https://github.com/kkos/oniguruma
 Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/libonig.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libonig.git
@@ -25,23 +24,6 @@
  Different character encoding for every regular expression object can
  be specified.
 
-Package: libonig4-dbg
-Section: debug
-Architecture: any
-Multi-Arch: same
-Depends:
- ${misc:Depends},
- libonig4 (= ${binary:Version})
-Pre-Depends:
- ${misc:Pre-Depends}
-Description: regular expressions library — debugging symbols
- Oniguruma is a library for working with regular expressions.
- .
- Different character encoding for every regular expression object can
- be specified.
- .
- This package provides the debugging symbols.
-
 Package: libonig-dev
 Section: libdevel
 Priority: optional

## libonig 6.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 project(oniguruma C)
 
 set(PACKAGE onig)
-set(PACKAGE_VERSION "6.5.0")
+set(PACKAGE_VERSION "6.6.0")
 
 set(USE_COMBINATION_EXPLOSION_CHECK 0)
 set(USE_CRNL_AS_LINE_TERMINATOR 0)
@@ -81,7 +81,7 @@
 install_header(src/oniguruma.h src/onigposix.h src/oniggnu.h)
 
 install_doc(doc/API doc/API.ja doc/RE doc/RE.ja doc/UNICODE_PROPERTIES)
-install_data(AUTHORS COPYING HISTORY README)
+install_data(AUTHORS COPYING HISTORY README.md)
 
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/oniguruma.pc
   DESTINATION lib/pkgconfig)

=== sample/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)
project(oniguruma_sample C)

add_executable(crnl crnl.c)
target_link_libraries(crnl onig)

add_executable(encode encode.c)
target_link_libraries(encode onig)

add_executable(listcap listcap.c)
target_link_libraries(listcap onig)

add_executable(names names.c)
target_link_libraries(names onig)

add_executable(posix posix.c)
target_link_libraries(posix onig)

add_executable(simple simple.c)
target_link_libraries(simple onig)

add_executable(sql sql.c)
target_link_libraries(sql onig)

add_executable(syntax syntax.c)
target_link_libraries(syntax onig)

=== debian/changelog ===
libonig (6.7.0-1) unstable; urgency=medium

  * New upstream release.
    - Refresh symbols file.
  * Change to my new email address:
    - debian/control
    - debian/copyright
  * debian/changelog:
    - Remove trailing whitespaces.
  * Declare compliance with Debian Policy 4.1.2.0. (No changes needed).

 -- Jörg Frings-Fürst <debian@jff.email>  Thu, 14 Dec 2017 17:26:05 +0100

libonig (6.6.1-1) unstable; urgency=medium

  * New upstream release.
    - Refresh symbols file.
  * Declare compliance with Debian Policy 4.1.0.0. (No changes needed).
  * Remove missing README.ja from debian/libonig-dev.docs and
    debian/libonig-dev.doc-base.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Fri, 01 Sep 2017 19:57:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: libonig
 Section: libs
 Priority: extra
-Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
+Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
  debhelper (>= 10)
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2.0
 Homepage: https://github.com/kkos/oniguruma
 Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/libonig.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libonig.git

=== debian/rules ===
--- 
+++ 
@@ -9,23 +9,23 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+#
+# Test for gcc-6 support
+#
+#export CC=gcc-6
+#export CXX=g++-6
+
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 VERSION = $(shell head -n1 debian/changelog | sed -e 's/.*(//;s/-.*).*//;s/\+/\-/')
 
 %:
-	dh $@ --with autoreconf
-
-override_dh_installman:
-	dh_installman -plibonig-dev -A debian/onig-config.1
-
-override_dh_strip:
-	dh_strip --dbg-package=libonig2-dbg
+	dh $@
 
 override_dh_install:
+	$(RM) debian/tmp/usr/bin/onig-config
 	dh_install --fail-missing -X.la -X.a
 
 override_dh_makeshlibs:
 	dh_makeshlibs
-	dpkg-gensymbols -v$(VERSION) -plibonig2
-
+	dpkg-gensymbols -v$(VERSION) -plibonig4

## libonig 6.8.2

=== debian/changelog ===
libonig (6.8.2-1) unstable; urgency=medium

  * New upstream release (Closes: #897250).
    - Refresh symbols file.
  * Declare compliance with Debian Policy 4.1.4 (No changes needed).

 -- Jörg Frings-Fürst <debian@jff.email>  Fri, 04 May 2018 18:41:47 +0200

libonig (6.8.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jörg Frings-Fürst <debian@jff.email>  Tue, 01 May 2018 09:45:05 +0200

libonig (6.8.1-1) experimental; urgency=medium

  * New upstream release.
    - Refresh symbols file.
    - Refresh debian/copyright.
  * Rename libonig4 to libonig5.
    - debian/control:
      + Rename binaray package.
      + Set Depends to libonig5.
    - Rename debian/libonig4* to debian/libonig5*
    - debian/rules:
      + Rename liboing4 to libonig5.
  * Migrate to debhelper 11:
    - Change debian/compat to 11.
    - Bump minimum debhelper version in debian/control to >= 11.
  * Declare compliance with Debian Policy 4.1.3 (No changes needed).

 -- Jörg Frings-Fürst <debian@jff.email>  Wed, 21 Mar 2018 19:56:23 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: extra
 Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
- debhelper (>= 10)
-Standards-Version: 4.1.2.0
+ debhelper (>= 11)
+Standards-Version: 4.1.4
 Homepage: https://github.com/kkos/oniguruma
 Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/libonig.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libonig.git
 
-Package: libonig4
+Package: libonig5
 Priority: optional
 Architecture: any
 Multi-Arch: same
@@ -30,7 +30,7 @@
 Architecture: any
 Depends:
  ${misc:Depends},
- libonig4 (= ${binary:Version})
+ libonig5 (= ${binary:Version})
 Description: regular expressions library — development files
  Oniguruma is a library for working with regular expressions.
  .

## libonig 6.9.1

=== debian/changelog ===
libonig (6.9.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 15:05:36 +0800

libonig (6.9.1-1) unstable; urgency=medium

  * New upstream release:
    - Refresh symbols file.

 -- Jörg Frings-Fürst <debian@jff.email>  Fri, 21 Dec 2018 14:09:48 +0100

libonig (6.9.0-1) unstable; urgency=medium

  * New upstream release.
    - Refresh symbols file.
  * debian/control:
    - Change VCS-* to point to the new repository.
  * Declare compliance with Debian Policy 4.2.1 (No changes needed).

 -- Jörg Frings-Fürst <debian@jff.email>  Thu, 06 Sep 2018 07:14:48 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
  debhelper (>= 11)
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://github.com/kkos/oniguruma
-Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/libonig.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libonig.git
+Vcs-Git: git://jff.email/opt/git/libonig.git
+Vcs-Browser: https://jff.email/cgit/libonig.git
 
 Package: libonig5
 Priority: optional

=== debian/rules ===
--- 
+++ 
@@ -28,4 +28,4 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs
-	dpkg-gensymbols -v$(VERSION) -plibonig4
+	dpkg-gensymbols -v$(VERSION) -plibonig5

=== debian/watch ===
version=4
https://github.com/kkos/oniguruma/tags .*/v?(\d\S*)\.tar\.gz

## libonig 6.9.1.2

=== debian/changelog ===
libonig (6.9.1.2-1+dde) unstable; urgency=low

  * ['Autobuild release-candidate: bd63c69c96131b7168cbe79e44e04b09c135807a']

 -- shuttle <shuttle@deepin.com>  Wed, 28 Oct 2020 14:36:33 +0000

## libonig 6.9.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(oniguruma VERSION 6.9.2)

set(PACKAGE onig)
set(PACKAGE_VERSION ${PROJECT_VERSION})

option(BUILD_SHARED_LIBS "Build shared libraries" ON)
option(ENABLE_POSIX_API  "Include POSIX API" ON)

set(USE_CRNL_AS_LINE_TERMINATOR 0)
set(VERSION ${PACKAGE_VERSION})

if(MSVC)
  # Force to always compile with W4
  if(CMAKE_CXX_FLAGS MATCHES "/W[0-4]")
    string(REGEX REPLACE "/W[0-4]" "/W4" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
  else()
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4")
  endif()
elseif(CMAKE_COMPILER_IS_GNUCXX)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
elseif(CMAKE_COMPILER_IS_GNUCC)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
endif()


include(CheckCSourceCompiles)
include(CheckIncludeFiles)
include(CheckFunctionExists)
include(CheckSymbolExists)
include(CheckTypeSize)
include(TestBigEndian)

check_function_exists(alloca HAVE_ALLOCA)
check_include_files(alloca.h HAVE_ALLOCA_H)
check_include_files(stdint.h    HAVE_STDINT_H)
check_include_files(sys/times.h HAVE_SYS_TIMES_H)
check_include_files(sys/time.h  HAVE_SYS_TIME_H)
check_include_files(sys/types.h HAVE_SYS_TYPES_H)
check_include_files(unistd.h    HAVE_UNISTD_H)
check_include_files(inttypes.h  HAVE_INTTYPES_H)
check_type_size(int SIZEOF_INT)
check_type_size(long SIZEOF_LONG)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/config.h.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/oniguruma.pc.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/oniguruma.pc @ONLY)

set(_SRCS src/regint.h src/regparse.h src/regenc.h src/st.h
 src/regerror.c src/regparse.c src/regext.c src/regcomp.c src/regexec.c
 src/reggnu.c src/regenc.c src/regsyntax.c src/regtrav.c src/regversion.c
 src/st.c src/onig_init.c
 src/unicode.c src/ascii.c src/utf8.c src/utf16_be.c src/utf16_le.c
 src/utf32_be.c src/utf32_le.c src/euc_jp.c src/sjis.c src/iso8859_1.c
 src/iso8859_2.c src/iso8859_3.c src/iso8859_4.c src/iso8859_5.c
 src/iso8859_6.c src/iso8859_7.c src/iso8859_8.c src/iso8859_9.c
 src/iso8859_10.c src/iso8859_11.c src/iso8859_13.c src/iso8859_14.c
 src/iso8859_15.c src/iso8859_16.c src/euc_tw.c src/euc_kr.c src/big5.c
 src/gb18030.c src/koi8_r.c src/cp1251.c
 src/euc_jp_prop.c src/sjis_prop.c
 src/unicode_unfold_key.c
 src/unicode_fold1_key.c src/unicode_fold2_key.c src/unicode_fold3_key.c)

set(_INST_HEADERS src/oniguruma.h src/oniggnu.h)

if(ENABLE_POSIX_API)
  set(_SRCS ${_SRCS} src/regposix.c src/regposerr.c)
  set(_INST_HEADERS ${_INST_HEADERS} src/onigposix.h)
endif()

add_library(onig ${_SRCS})
target_include_directories(onig PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src>
  $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>)

# Installation (https://github.com/forexample/package-example)

# Introduce variables:
# * CMAKE_INSTALL_LIBDIR
# * CMAKE_INSTALL_BINDIR
# * CMAKE_INSTALL_INCLUDEDIR
include(GNUInstallDirs)

# Layout. This works for all platforms:
#   * <prefix>/lib*/cmake/<PROJECT-NAME>
#   * <prefix>/lib*/
#   * <prefix>/include/
set(config_install_dir "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}")

set(generated_dir "${CMAKE_CURRENT_BINARY_DIR}/generated")

# Configuration
set(version_config "${generated_dir}/${PROJECT_NAME}ConfigVersion.cmake")
set(project_config "${generated_dir}/${PROJECT_NAME}Config.cmake")
set(TARGETS_EXPORT_NAME "${PROJECT_NAME}Targets")
set(namespace "${PROJECT_NAME}::")

# Include module with fuction 'write_basic_package_version_file'
include(CMakePackageConfigHelpers)

# Configure '<PROJECT-NAME>ConfigVersion.cmake'
# Use:
#   * PROJECT_VERSION
write_basic_package_version_file(
    "${version_config}" COMPATIBILITY SameMajorVersion
)

# Configure '<PROJECT-NAME>Config.cmake'
# Use variables:
#   * TARGETS_EXPORT_NAME
#   * PROJECT_NAME
configure_package_config_file(
    "cmake/Config.cmake.in"
    "${project_config}"
    INSTALL_DESTINATION "${config_install_dir}"
)

# Targets:
#   * <prefix>/lib/libonig.a
#   * header location after install: <prefix>/include/
#   * headers can be included by C code `#include <oniguruma.h>`
install(
    TARGETS onig
    EXPORT "${TARGETS_EXPORT_NAME}"
    LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    INCLUDES DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}"
)

# Headers:
#   * src/oniguruma.h -> <prefix>/include/oniguruma
install(
    FILES ${_INST_HEADERS}
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}"
)

# Config
#   * <prefix>/lib/cmake/oniguruma/onigurumaConfig.cmake
#   * <prefix>/lib/cmake/oniguruma/onigurumaConfigVersion.cmake
install(
    FILES "${project_config}" "${version_config}"
    DESTINATION "${config_install_dir}"
)

# Config
#   * <prefix>/lib/cmake/oniguruma/onigurumaTargets.cmake
install(
    EXPORT "${TARGETS_EXPORT_NAME}"
    NAMESPACE "${namespace}"
    DESTINATION "${config_install_dir}"
)

# Documentation (uses onig not oniguruma for directory)
install(FILES doc/API doc/API.ja doc/RE doc/RE.ja doc/FAQ doc/FAQ.ja
              doc/CALLOUTS.BUILTIN doc/CALLOUTS.BUILTIN.ja
              doc/CALLOUTS.API doc/CALLOUTS.API.ja
              doc/UNICODE_PROPERTIES
        DESTINATION "${CMAKE_INSTALL_DATADIR}/${PACKAGE}")

# Other files (uses onig not oniguruma for directory)
install(FILES AUTHORS COPYING HISTORY README.md
        DESTINATION "${CMAKE_INSTALL_DATADIR}/${PACKAGE}")

# pkg-config
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/oniguruma.pc
        DESTINATION lib/pkgconfig)

=== debian/changelog ===
libonig (6.9.2-1) unstable; urgency=medium

  * New upstream release:
    - Refresh symbols file.
    - Refresh debian/patches/0100-source_typos.patch.
  * Rewrite debain/watch.
  * New debian/patches/0105-CVE-2019-13224.patch and
      debian/patches/0110-CVE-2019-13225.patch (Closes: #931878):
    - Fixes CVE-2019-13224 A use-after-free in onig_new_deluxe() in regext.c.
    - Fixes CVE-2019-13225 A NULL Pointer Dereference in match_at()
       in regexec.c.
  * Declare compliance with Debian Policy 4.4.0 (No changes needed).
  * Migrate to debhelper 12:
    - Change debian/compat to 12.
    - Bump minimum debhelper version in debian/control to >= 12.
    - debian/rules: Remove obsolete dh_install --fail-missing.

 -- Jörg Frings-Fürst <debian@jff.email>  Fri, 12 Jul 2019 10:39:37 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
- debhelper (>= 11)
-Standards-Version: 4.2.1
+ debhelper (>= 12)
+Standards-Version: 4.4.0
 Homepage: https://github.com/kkos/oniguruma
 Vcs-Git: git://jff.email/opt/git/libonig.git
 Vcs-Browser: https://jff.email/cgit/libonig.git

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g;s/\_/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|oniguruma|ONIGURUMA)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/oniguruma-$1.$2/ \
https://github.com/kkos/oniguruma/tags \
(?:.*?/)?(?:rel|v|oniguruma|ONIGURUMA)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) \

## libonig 6.9.4

=== debian/changelog ===
libonig (6.9.4-1) unstable; urgency=medium

  * Neu upstream release.
    - Refresh symbols file and add Build-Depends-Package field.
    - Remove upstream applied patches:
      + 0105-CVE-2019-13224.patch
      + 0110-CVE-2019-13225.patch
    - Refresh debain/copyright.
    - Fixes CVE-2019-19204: heap-buffer-overflow in fetch_interval_quantifier
        due to double PFETCH (Closes: #945313).
    - Fixes CVE-2019-19203: heap-buffer-overflow in gb18030_mbc_enc_len
        (Closes: #945312).
    - Fixes CVE-2019-19012: Out of bounds read in mbc_to_code()
        (Closes: #944959).
    - Fixes CVE-2019-16163: Stack Exhaustion Problem (Closes: #939988).
    - Fixes CVE-2019-19246: heap-based buffer over-read in str_lower_case_match.
  * debian/watch:_Correct typo.
  * Declare compliance with Debian Policy 4.4.1.1 (No changes needed).
  * Switch to debhelper-compat:
    - debian/control: change to debhelper-compat (=12)
    - remove debian/compat
  * debian/control:
    - Add Rules-Requires-Root: no.
  * Remove outdated debian/NEWS.Debian.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 22 Dec 2019 16:00:46 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: extra
 Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
- debhelper (>= 12)
-Standards-Version: 4.4.0
+ debhelper-compat (= 12)
+Standards-Version: 4.4.1.1
+Rules-Requires-Root: no
 Homepage: https://github.com/kkos/oniguruma
 Vcs-Git: git://jff.email/opt/git/libonig.git
 Vcs-Browser: https://jff.email/cgit/libonig.git

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 
 override_dh_install:
 	$(RM) debian/tmp/usr/bin/onig-config
-	dh_install --fail-missing -X.la -X.a
+	dh_install -X.la -X.a
 
 override_dh_makeshlibs:
 	dh_makeshlibs

## libonig 6.9.5

=== debian/changelog ===
libonig (6.9.5-2) unstable; urgency=medium

  * debian/rules
    - set --enable-posix-api, since default was changed and some packages
      need to be built with onigposix.h (Closes: #958467).
     (Thanks to: Hideki Yamane <henrich@iijmio-mail.jp>.
   - Refresh symbols file.

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 25 Apr 2020 10:56:30 +0200

libonig (6.9.5-1) unstable; urgency=medium

  * New upstream release.
    - Refresh symbols file.
  * Declare compliance with Debian Policy 4.5.0 (No changes needed).
  * debian/copyright:
    - Add year 2020.
  * Remove unused patches:
    - debian/patches/0105-CVE-2019-13224.patch,
    - debian/patches/0110-CVE-2019-13225.patch.

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 20 Apr 2020 22:35:52 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
  debhelper-compat (= 12)
-Standards-Version: 4.4.1.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/kkos/oniguruma
 Vcs-Git: git://jff.email/opt/git/libonig.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#
# Test for gcc-10 support
#
#export CC=gcc-10
#export CXX=g++-10

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

VERSION = $(shell head -n1 debian/changelog | sed -e 's/.*(//;s/-.*).*//;s/\+/\-/')

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-posix-api

override_dh_install:
	$(RM) debian/tmp/usr/bin/onig-config
	dh_install -X.la -X.a

override_dh_makeshlibs:
	dh_makeshlibs
	dpkg-gensymbols -v$(VERSION) -plibonig5

## libonig 6.9.6

=== debian/changelog ===
libonig (6.9.6-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * debian/rules
    - As upstream change, set "--enable-binary-compatible-posix-api=yes",
      instead of "--enable-posix-api" (Closes: #983406)

 -- Hideki Yamane <henrich@debian.org>  Wed, 24 Feb 2021 02:25:03 +0900

libonig (6.9.6-1) unstable; urgency=medium

  * New upstream release.
    - Refresh symbols file.
  * Migrate to debhelper-compat 13:
    - Bump debhelper-compat version in debian/control to = 13.
  * debian/rules:
    - Add remove for libonig.[la|a] to fix warning about missing installs.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 08 Nov 2020 13:08:04 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
- debhelper-compat (= 12)
+ debhelper-compat (= 13)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/kkos/oniguruma

=== debian/rules ===
--- 
+++ 
@@ -17,10 +17,12 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-posix-api
+	dh_auto_configure -- --enable-binary-compatible-posix-api=yes
 
 override_dh_install:
 	$(RM) debian/tmp/usr/bin/onig-config
+	$(RM) debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libonig.a
+	$(RM) debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libonig.la
 	dh_install -X.la -X.a
 
 override_dh_makeshlibs:
